package com.gyee.frame.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.frame.model.ticket.Wosafety;
import com.gyee.frame.mapper.ticket.WosafetyMapper;
import com.gyee.frame.service.ticket.WosafetyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
@Service
public class WosafetyServiceImpl extends ServiceImpl<WosafetyMapper, Wosafety> implements WosafetyService {

    @Override
    public int selectMaxId() {
        return baseMapper.selectMaxId();
    }

    @Override
    public List<Wosafety> getListSafeMeasure(String woNum) {
        QueryWrapper<Wosafety> wrapper = new QueryWrapper<>();
        wrapper.eq("WONUM", woNum);

        List<Wosafety> wosafeties = baseMapper.selectList(wrapper);

        return wosafeties;
    }

    @Override
    public Integer deleteSafeMeasure(List<Double> list) {
        int result = baseMapper.deleteBatchIds(list);
        return result;
    }
}
